Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.servlet.jmx
Class HolderMBean

    java.lang.Object
      org.eclipse.jetty.jmx.ObjectMBean
          org.eclipse.jetty.servlet.jmx.HolderMBean

All Implemented Interfaces:
  javax.management.DynamicMBean

    public class HolderMBean

extends ObjectMBean

Field Summary

Fields inherited from class org.eclipse.jetty.jmx.ObjectMBean
`_managed`

Constructor Summary
`HolderMBean(java.lang.Object managedObject)`

Method Summary
`java.lang.String` | `getObjectNameBasis()`

Methods inherited from class org.eclipse.jetty.jmx.ObjectMBean
`defineAttribute, getAttribute, getAttributes, getManagedObject, getMBeanContainer, getMBeanInfo, getObjectName, invoke, mbeanFor, setAttribute, setAttributes, setMBeanContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HolderMBean

    public HolderMBean(java.lang.Object managedObject)

Method Detail

### getObjectNameBasis

    public java.lang.String getObjectNameBasis()

  Overrides:
    `getObjectNameBasis` in class `ObjectMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.